Package Details: opencpn 5.0.0-3

Git Clone URL: https://aur.archlinux.org/opencpn.git (read-only, click to copy)
Package Base: opencpn
Description: Open Source Chart Plotting / Marine Navigation
Upstream URL: http://opencpn.org
Licenses: GPL2
Submitter: None
Maintainer: ruppor
Last Packager: ruppor
Votes: 31
Popularity: 0.95
First Submitted: 2009-07-08 14:25
Last Updated: 2019-05-15 20:51

Latest Comments

« First ‹ Previous 1 2 3 4 5 6 7 Next › Last »

dc46and2 commented on 2015-12-12 20:01

I figured it out. I had manually placed some plugin lib*.so files in /usr/lib/opencpn. Removing these fixed the problem.

dc46and2 commented on 2015-12-12 12:03

Just updated my system and rebuilt opencpn---now it won't run and I get the following output:

07:40:49 AM: Warning: No handler found for image type.
07:40:49 AM: Warning: No handler found for image type.
07:40:49 AM: OBJSEARCH_PI: Database file to be used: objsearch_pi.db

*** opencpn (wxWidgets 3.0.2) crashed ***, see backtrace!
0x82d0e2 in wxCrashPrint::Report() at ??:?
0x53ed76 in MyApp::OnFatalException() at ??:?
0x7fb842ceac3c in at ??:0
0x7fb83feb5d60 in at ??:0
0x7fb830b03398 in wxMBConv::FromWChar(char*, unsigned long, wchar_t const*, unsigned long) const at ??:0
0x7fb842c5a0a8 in wxString::AsChar(wxMBConv const&) const at ??:0
0x56c03c in wxString::AsCharBuf(wxMBConv const&) const at ??:?
0x56b7d6 in wxString::mb_str(wxMBConv const&) const at ??:?
0x7fb830dfcf91 in wxSQLite3Database::Open(wxString const&, wxString const&, int) at ??:0
0x7fb830de3849 in objsearch_pi::initDB() at ??:0
0x7fb830deaa0b in objsearch_pi::objsearch_pi(void*) at ??:0
0x7fb830deb231 in create_pi at ??:0
0x788d71 in PlugInManager::LoadPlugIn(wxString) at ??:?
0x78548b in PlugInManager::LoadAllPlugIns(wxString const&, bool, bool) at ??:?
0x53b3f9 in MyApp::OnInit() at ??:?
0x56ee11 in wxAppConsoleBase::CallOnInit() at ??:?
0x7fb842c20202 in wxEntry(int&, wchar_t**) at ??:0
0x537190 in main at ??:?
zsh: abort (core dumped) opencpn

Any ideas or suggestions?

jshuping commented on 2015-12-08 18:22

Shall we update this to 4.1.x? I have a diff if interested, it's working fine!

Mr.Elendig commented on 2015-06-18 14:45

I really wish that opencpn will get ported to qt5 instead off horrible wx, but that will never happen.

sredna commented on 2015-06-17 11:31

I'll update and see how it works for me, seems I did not react in time :p

Mr.Elendig commented on 2015-06-17 09:51

Switched to wxwidgets 3, note that some people are experiencing some focus glitches with the bar, so ymmv.

tamer commented on 2015-06-14 06:29

Experienced font rendering issues using OpenCPN compiled against wxgtk-2.8 on my system. Those went away with a build against wxgtk (3.0.2-4 at the time) while opencpn appears to run fine using wxgtk version 3.0.

Any objections against updating the PKGBUILD to use the latest wxgtk instead?

--- PKGBUILD.orig 2015-06-14 08:28:07.418994281 +0200
+++ PKGBUILD 2015-06-14 08:13:56.036639398 +0200
@@ -10,11 +10,11 @@

pkgname=opencpn
pkgver=4.0.0
-pkgrel=2
+pkgrel=3
pkgdesc="Open Source Chart Plotting / Marine Navigation"
arch=('i686' 'x86_64')
license=("GPL2")
-depends=('wxgtk2.8' 'gpsd' 'portaudio' 'tinyxml' 'hicolor-icon-theme')
+depends=('wxgtk' 'gpsd' 'portaudio' 'tinyxml' 'hicolor-icon-theme')
makedepends=('cmake')
url="http://opencpn.org"
install=opencpn.install
@@ -31,8 +31,8 @@
build() {
cd "OpenCPN-${pkgver}"
cmake -DCMAKE_BUILD_TYPE=Release -DCMAKE_INSTALL_PREFIX=/usr\
- -DwxWidgets_CONFIG_EXECUTABLE=/usr/bin/wx-config-2.8\
- -DwxWidgets_wxrc_EXECUTABLE=/usr/bin/wxrc-2.8
+ -DwxWidgets_CONFIG_EXECUTABLE=/usr/bin/wx-config\
+ -DwxWidgets_wxrc_EXECUTABLE=/usr/bin/wxrc
make
}

cox commented on 2015-01-09 17:10

Good news
OpenCPN 4.0.0, was published on January the 8th 2015 and can be downloaded from opencpn.org/download.

Mr.Elendig commented on 2014-01-21 13:00

No, you are misunderstanding what the flag is for.

It is basicly the same as the out of date flag on official packages. Only click it when the package is actually out of date (upstream released a new version). Build errors should be reported as a comment instead.

Athemis commented on 2014-01-20 20:34

The PKGBUILD is obviously out of date when it is not able to build the binary package anymore.